/*============================== Base Styles ==============================*/
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background: #23313f;
  color: #ecf0f1;
}

/* =========Update the color styles for other elements when light mode is active ===========*/
body.light-mode {
  background: rgb(216, 216, 216);
  color: #23313f;
}
body.light-mode .mode-toggle img {
  width: 40px;
  height: 40px;
  transition: transform 0.3s ease;
  margin-top: -6px;
  background-color: rgb(216, 216, 216);
}
body.light-mode .underlined {
  height: 4px;
  width: 100%;
  margin-top: -20px;
  background: #101922;
}
body.light-mode .navbar {
  background-color: rgb(216, 216, 216);
  color: #23313f;
}
body.light-mode .navbar-links {
  color: #23313f;
}
body.light-mode .navbar-links:hover {
  color: #292929;
}
body.light-mode .bar {
  background-color: #23313f;
}
body.light-mode .underlined {
  background: #1e2650;
  margin-top: 3px;
}
body.light-mode .hero {
  background-color: rgb(216, 216, 216);
  color: #23313f;
}
body.light-mode .btn {
  background-color: #23313f;
  color: #ecf0f1;
}
body.light-mode .btn:hover {
  background-color: #34495e;
  color: #ecf0f1;
}
body.light-mode .project-item {
  background-color: rgb(255, 255, 255);
  color: #23313f;
}
body.light-mode .profile-photo {
  background-color: #ffffff;
  color: #23313f;
  border: 5px solid #23313f;
}
body.light-mode .about-section h2 {
  color: #23313f;
}
body.light-mode .about-section p {
  background-color: rgb(216, 216, 216);
  color: #23313f;
}
body.light-mode .project-item:hover {
  background-color: #c6c3c3;
  color: #23313f;
}
body.light-mode .project-item p {
  color: #23313f;
}
body.light-mode .project-item a {
  color: #23313f;
}
body.light-mode .about-text p span {
  color: rgb(20, 85, 251) !important; 
}
body.light-mode .contact {
  background-color: rgb(216, 216, 216);
  color: #23313f;
}
body.light-mode .education-entry {
    background-color: rgb(240, 230, 230);
}
body.light-mode .education-entry:hover {
  background-color: rgb(228, 233, 210);
  transform: scale(1.1);
  transition: 0.8s;
}
body.light-mode .screen img {
mix-blend-mode:difference;
}

/*=================== Mode Toggle Button ===========================*/
.mode-toggle {
  background: none;
  border: none;
  cursor: pointer;
}
.mode-toggle img {
  width: 36px;
  height: 36px;
  transition: transform 0.3s ease;
  margin-top: -5px;
  background-color: rgb(227, 227, 4);
  border-radius: 55%;
}
.mode-toggle img:hover {
  transform: scale(1.2);
}
.mode-toggle-item {
  display: flex;
  align-items: center;
  margin-left: 20px;
}
.new-mode-toggle-item {
  display: none;
}


/*=========================== Navbar Styles: ===============================*/
.navbar {
  background-color: #23313f;
  color: yellow;
  padding: 15px 20px;
}
.navbar-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.navbarbrand {
  font-size: 1.8rem;
  font-weight: bold;
  cursor: pointer;
  padding-bottom: 7px;
}
.navbar-menu {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}
.navbaritem {
  margin-left: 20px;
}
.navbar-links {
  color: yellow;
  text-decoration: none;
  font-size: 1.5rem;
  transition: color 0.3s ease;
}
.navbar-links:hover {
  color: #fff700;
}
.navbartoggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
}
.bar {
  height: 3px;
  width: 25px;
  background-color: yellow;
  margin: 4px 0;
}

/*===================== Navbar styles for mobile =========================*/
@media (max-width: 768px) {
  .navbar-menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #23313f;
    position: fixed;
    top: 60px;
    left: 0;
    z-index: 1000;
  }
  .navbar-menu.active {
    display: flex;
  }
  .navbaritem {
    margin: 10px 0;
    text-align: center;
  }
  .navbartoggle {
    display: flex;
    margin-top: -1rem;
  }
  .new-mode-toggle-item {
    display: flex;
    margin-left: -60px;
    margin-top: -32px;
    height: 15px;
    width: 15px;
  }
  .mode-toggle-item {
    display: none; 
  }
  body.light-mode .navbar-menu {
    background-color: rgb(203, 200, 200);
    color: #ccc;
  }
  .underlined {
    height: 4px;
    width: 100%;
    margin-top: 7rem;
    background: #101922;
  }
}
@media (max-width: 376px){
  .navbarbrand {
    font-size: 1.4rem;
    font-weight: semibold;
    cursor: pointer;
    padding-bottom: 7px;
  }
}


/*=============================== Underline(Nav-Hero)========================= */
.underlined {
  height: 4px;
  width: 100%;
  margin-top: -0.4rem;
  background: #101922;
}

/*========================== Hero Section: ========================*/
.hero {
  height: 80vh;
  margin-top: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #ecf0f1;
}
.hero-container {
  padding: 20px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
}
.intro {
  max-width: 600px;
}
.intro h1 {
  font-size: 3.5rem;
  margin: 0;
}
.intro p {
  font-size: 1.4rem;
  margin: 10px 0;
}
.hidden-text {
  display: none;
  width: 35rem;
  font-size: 0.5rem;
  margin-top: 20px;
}
.btn {
  display: inline-block;
  background-color: #fff;
  color: #292929;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 1rem;
  font-weight: bold;
  transition: background-color 0.3s ease;
}
.btn:hover {
  background-color: #262020;
  color: aliceblue;
  transition: 0.5s;
}
.photo-container {
  flex-shrink: 0;
}
.profile-photo {
  width: 17rem;
  height: 17.5rem;
  border-radius: 50%;
  border: 5px solid #fff;
  opacity: 0;
  animation: fadeIn 2s ease-in-out forwards;
}

/*=========================== Hero Section for mobile ============================*/
@media (max-width: 768px) {
  .hero {
    margin-top: 5rem;
    margin-left: 10px;
    margin-right: 10px;
  }
  .hero-container {
    flex-direction: column;
  }
  .hero.active {
    margin-top: 100px;
  }
  .hero h1 {
    font-size: 2rem;
  }
  .hero p {
    font-size: 1rem;
  }
  .hidden-text {
    font-size: 0.5rem;
  }
  .profile-photo {
    width: 12rem;
    height: 12.5rem;
    margin-top: -20px;
    border-radius: 50%;
    border: 5px solid #fff;
  }
}

/* ========================= */
@media (max-width: 426px) {
  .hidden-text {
    width: 23rem;
    font-size: 0.5rem;
  }
  .hero {
    margin-top: 6.5rem;
    margin-left: 10px;
    margin-right: 10px;
  }
}

/* =========================== */
@media (max-width: 376px) {
  .hidden-text {
    width: 18.7rem;
    font-size: 0.5rem;
    padding-left: 5px;
  }
  .hero {
    margin-top: 9rem;
    margin-left: 13px;
    margin-right: 13px;
  }
}

/* ========================== */
@media (max-width: 321px) {
  .hidden-text {
    width: 15rem;
    font-size: 0.5rem;
    padding-right: 15px;
  }
  .hero {
    margin-top: 10rem;
    margin-left: 10px;
    margin-right: 10px;
  }
}

/*================ Text slide down animation for Hero ===================*/
.intro h1,
.intro p,
.btn {
  opacity: 0;
  transform: translateY(-50px);
  animation: slideDown 1s ease-in-out forwards;
}
.intro h1 {
  animation-delay: 0.2s;
}
.intro p {
  animation-delay: 0.2s;
}
.btn {
  animation-delay: 0.2s;
}
@keyframes slideDown {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

/* ======================About Section===================== */
.about {
  scroll-behavior: smooth;
}
.about-section {
  padding: 60px 20px;
  text-align: center;
}
.about-container {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.about-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.about-image img {
  padding-top: 40px;
  padding-left: 10px;
  padding-right: 10px;
  width: 100px;
  height: 100px;
  animation: float 4s ease-in-out infinite;
}
.about-text {
  max-width: 600px;
  margin-bottom: 10px;
}
.about-section h2 {
  margin-bottom: 5rem;
  color: white;
}
.about-section p {
  font-size: 1.2em;
  line-height: 1.6;
  color: white;
  margin-bottom: 20px;
}
.about-text p {
  font-size: 1.6rem;
}

/*=========================== About Section for mobile =============================*/
@media (max-width: 769px) {
  .about-image img {
    width: 80px;
    display: flex;
    height: 80px;
    flex-direction: row;
  }
  .about-image {
    display: none;
  }
}
@media (max-width: 426px) {
  .about-section h2 {
    font-size: 3rem;
    padding-top: 20px;
  }
}
@media (max-width: 376px) {
  .about-section h2 {
    font-size: 3rem;
  }
}
@media (max-width: 321px) {
  .about-section h2 {
    font-size: 3rem;
  }
}
@media (min-width: 768px) {
  .about-content {
    flex-direction: row;
    text-align: left;
  }
  .about-image {
    margin-right: 40px;
  }
  .about-text {
    margin-top: 0;
  }
  .about-section h2 {
    font-size: 4rem;
  }
  .about-section p {
    font-size: 1.5em;
  }
}

/* ==================Animation================================ */
@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-40px);
  }
  100% {
    transform: translateY(0);
  }
}

/*================== Laptop screen ke liye ===================*/
@media only screen and (min-width: 1024px) {
  .screen img {
    display: none;
  }
}

/*=========== Tablet aur mobile screen ke liye ================*/
@media only screen and (max-width: 768px) {
  .screen img {
    display: block;
    margin: 0 auto;
    height: 20rem;
    margin-top: -4rem;
  }
}


/*================= Education section styles =====================*/
.education {
    padding: 20px 20px;
    text-align: center;
}
.education h2 {
    font-size: 3.8rem;
    margin-bottom: 50px;
}
.education .container {
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
  justify-content: space-evenly;
    flex-wrap: wrap;
}
.education-entry {
  width: 39rem;
    background-color: #34495e;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 20px;
    text-align: left;
}
.education-entry:hover {
  transform: scale(1.1);
  background: #273d49;
  transition: 0.8s;
}
.education-entry h3 {
    font-size: 1.8rem;
    margin-bottom: 10px;
}
.education-entry h4 {
    font-size: 1.4rem;
    margin-top: 40px;
}
.education-entry p {
    font-size: 1.2rem;
    margin: 5px 0;
}
.education-entry ul{
    font-size: 1.2rem;
    margin-top: -15px;
}
.education-entry ul {
    list-style-type: disc;
    padding-left: 20px;
}

/*============================== Responsive styles ===============================*/
@media (max-width: 768px) {
    .education h2 {
        font-size: 3.7rem;
    }
    .education-entry {
        padding: 15px;
    }
    .education-entry h3 {
        font-size: 1.5rem;
        padding-bottom: 5px;
    }
    .education-entry p, .education-entry ul {
        font-size: 1rem;
    }
    .education-entry h4 {
        font-size: 1.2rem;
    }
}
@media (max-width: 768px) {
  .education h2 {
      font-size: 3rem;
      margin-bottom: 30px;
  }
}


/*==================== Contact section styles ==========================*/
.contact {
  padding: 20px 20px;
  text-align: center;
}
.contact h2 {
  font-size: 4.5rem;
  margin-bottom: 10px;
}
.contact .container {
  max-width: 800px;
  margin: 0 auto;
}
.contact form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.form-group {
  display: flex;
  flex-direction: column;
  text-align: left;
}
.form-group label {
  margin-bottom: 5px;
}
.form-group input,
.form-group textarea {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1rem;
}
.map-container {
  margin-top: 20px;
}
.map-container iframe {
  width: 100%;
  height: 300px;
  border: 0;
  border-radius: 10px;
}
.btn {
  display: inline-block;
  background-color: #ecf0f1;
  color: #2c3e50;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 1rem;
  transition: background-color 0.3s ease;
  cursor: pointer;
  align-self: center;
}
.btn:hover {
  background-color: #34495e;
  color: #ecf0f1;
  transition: 0.5s;
}

/*===================== Social icons styles ==========================*/
.social-icons {
  margin-top: 20px;
}
.social-icons a {
  margin: 0 10px;
  display: inline-block;
}
.social-icons img {
  width: 40px;
  height: 40px;
  transition: transform 0.3s ease;
}
.social-icons img:hover {
  transform: scale(1.1);
}

/*======================= Responsive styles ==============================*/
@media (max-width: 768px) {
  .contact h2 {
    font-size: 3.5rem;
  }
  .map-container iframe {
    height: 200px;
  }
}

/* ===============================Project Section============================= */
.projects-section {
  padding: 50px 20px;
  text-align: center;
}
.projects-section h2 {
  font-size: 4rem;
  margin-bottom: 50px;
}
.projects-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}
.project-item {
  width: calc(33.333% - 20px);
  background-color: #1a2630;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 15px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}
.project-item img {
  max-width: 100%;
  height: 12.5rem;
  border-radius: 8px;
  margin-bottom: 10px;
}
.project-item a {
  display: block;
  color: white;
  text-decoration: underline;
  font-size: 1.1em;
  margin-top: 10px;
}
.project-item p {
  display: block;
  color: white;
  text-decoration: none;
  font-size: 1.3em;
  margin-top: 10px;
}
.project-item:hover {
  transform: scale(1.05);
  background-color: #34495e;
}

/*=================== Responsive design =========================*/
@media (max-width: 768px) {
  .project-item {
    width: calc(50% - 20px);
  }
}
@media (max-width: 480px) {
  .project-item {
    width: 100%;
  }
}


/* Resume section styles */
.resume {
  padding: 20px 20px;
  text-align: center;
}

.resume h2 {
  font-size: 2.5rem;
  margin-bottom: 20px;
}

.resume .container {
  max-width: 800px;
  margin: 0 auto;
}





@media (max-width: 768px) {
  iframe {
      width: 80%;
      height: 170vh;
      border: none;
    }
}

@media(max-width:426px){
  .resume {
      padding: 20px 20px;
      text-align: center;
  }
  
  .resume h2 {
      font-size: 2.0rem;
      margin-bottom: 10px;
  }
  
  .resume .container {
      max-width: 800px;
      margin: 0 auto;
  }
  iframe {
      width: 100%;
      height: 110vh;
      border: none;
    }
}

@media(max-width:376px){
 
  iframe {
      width: 100%;
      height: 100vh;
      border: none;
    }
}

@media(max-width:376px){
  iframe {
      width: 100%;
      height: 80vh;
      border: none;
    }
}
